- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSgLWriter.h File Reference

`#include "OSGeneral.h"`
`#include "OSiLWriter.h"`
`#include "OSInstance.h"`
`#include "OSParameters.h"`
`#include "OSBase64.h"`
`#include "OSMathUtil.h"`
`#include "CoinFinite.hpp"`
`#include <string>`
`#include <sstream>`

Include dependency graph for OSgLWriter.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
std::string | writeIntVectorData (IntVector *v, bool addWhiteSpace, bool writeBase64)
| Take an IntVector object and write a string that validates against the OSgL schema.Take a DoubleVector object and write a string that validates against the OSgL schema.Take a BasisStatus object and write a string that validates against the OSgL schema.Take an IntVector object and write a string that validates against the OSgL schema.
std::string | writeGeneralFileHeader (GeneralFileHeader *v, bool addWhiteSpace)
| Take a GeneralFileHeader object and write a string that validates against the OSgL schema.
std::string | writeOtherOptionEnumeration (OtherOptionEnumeration *e, bool addWhiteSpace, bool writeBase64)
| Take an OtherOptionEnumeration object and write a string that validates against the OSgL schema.
std::string | writeDblVectorData (DoubleVector *v, bool addWhiteSpace, bool writeBase64)
| Take a DoubleVector object and write a string that validates against the OSgL schema.
std::string | writeBasisStatus (BasisStatus *bs, bool addWhiteSpace, bool writeBase64)
| Take a BasisStatus object and write a string that validates against the OSgL schema.

## Detailed Description

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin,

Version:
  1.0, 22/Oct/2010

Since:
  OS2.2

Remarks:
  Copyright (C) 2005-2010, Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin, Northwestern University, Dalhousie University and the University of Chicago. All Rights Reserved. This software is licensed under the Common Public License. Please see the accompanying LICENSE file in root directory for terms.

Definition in file OSgLWriter.h.

## Function Documentation

std::string writeIntVectorData | ( | IntVector * | v,
|  | bool | addWhiteSpace,
|  | bool | writeBase64 |
| ) |  |  |

Take an IntVector object and write a string that validates against the OSgL schema.Take a DoubleVector object and write a string that validates against the OSgL schema.Take a BasisStatus object and write a string that validates against the OSgL schema.Take an IntVector object and write a string that validates against the OSgL schema.

Parameters:

  | v | is the IntVector to be output
  | addWhiteSpace | controls whether whitespace (i.e., line feed) is to be added
  | writeBase64 | controls whether the IntVector is to be output in base64 format or as a sequence of <el> (including mult and incr attributes)

Definition at line 40 of file OSgLWriter.cpp.

References IntVector::el, Base64::encodeb64(), getMultIncr(), mult(), and IntVector::numberOfEl.

Referenced by writeBasisStatus(), and writeOtherOptionEnumeration().

std::string writeGeneralFileHeader | ( | GeneralFileHeader * | v,
|  | bool | addWhiteSpace |
| ) |  |  |

Take a GeneralFileHeader object and write a string that validates against the OSgL schema.

Parameters:

  | v | is the object to be output
  | addWhiteSpace | controls whether whitespace (i.e., line feed) is to be added

Definition at line 81 of file OSgLWriter.cpp.

References GeneralFileHeader::description, GeneralFileHeader::fileCreator, GeneralFileHeader::licence, GeneralFileHeader::name, and GeneralFileHeader::source.

Referenced by OSoLWriter::writeOSoL(), and OSrLWriter::writeOSrL().

std::string writeOtherOptionEnumeration | ( | OtherOptionEnumeration * | e,
|  | bool | addWhiteSpace,
|  | bool | writeBase64 |
| ) |  |  |

Take an OtherOptionEnumeration object and write a string that validates against the OSgL schema.

Parameters:

  | e | is the OtherOptionEnumeration to be output
  | addWhiteSpace | controls whether whitespace (i.e., line feed) is to be added
  | writeBase64 | controls whether the embedded integer array is to be output in base64 format or as a sequence of <el> (including mult and incr attributes)

Definition at line 126 of file OSgLWriter.cpp.

References OtherOptionEnumeration::description, IntVector::numberOfEl, OtherOptionEnumeration::value, and writeIntVectorData().

std::string writeDblVectorData | ( | DoubleVector * | v,
|  | bool | addWhiteSpace,
|  | bool | writeBase64 |
| ) |  |  |

Take a DoubleVector object and write a string that validates against the OSgL schema.

Parameters:

  | v | is the DoubleVector to be output
  | addWhiteSpace | controls whether whitespace (i.e., line feed) is to be added
  | writeBase64 | controls whether the IntVector is to be output in base64 format or as a sequence of <el> (including mult and incr attributes)

Definition at line 150 of file OSgLWriter.cpp.

References DoubleVector::el, Base64::encodeb64(), getMult(), mult(), DoubleVector::numberOfEl, and os_dtoa_format().

std::string writeBasisStatus | ( | BasisStatus * | bs,
|  | bool | addWhiteSpace,
|  | bool | writeBase64 |
| ) |  |  |

Take a BasisStatus object and write a string that validates against the OSgL schema.

Parameters:

  | bs | is the basisStatus object to be output
  | addWhiteSpace | controls whether whitespace (i.e., line feed) is to be added
  | writeBase64 | controls whether the IntVectors contained in the enumerations are to be output in base64 format or as a sequence of <el> (including mult and incr attributes)

Definition at line 192 of file OSgLWriter.cpp.

References BasisStatus::atLower, BasisStatus::atUpper, BasisStatus::basic, BasisStatus::isFree, IntVector::numberOfEl, BasisStatus::superbasic, BasisStatus::unknown, and writeIntVectorData().